<template>
    <v-card :color="colour" dark>
        <div class="d-flex flex-no-wrap justify-space-between">
            <div>
                <v-card-title class="text-body-2">
                    {{ title | trim(23, '..') }}
                </v-card-title>

                <v-card-subtitle class="pb-0 text-overline">
                    Price: {{ price | number_format('XAF') }}
                </v-card-subtitle>

                <v-card-actions>
                    <v-text-field :value="quantity" class="centered-input" dense disabled hide-details
                                  variant="underlined">
                        <template v-slot:append>
                            <v-btn color="success" icon small @click.prevent="updateQty(1)">
                                <v-icon small>mdi-plus</v-icon>
                            </v-btn>
                        </template>
                        <template v-slot:prepend-inner>
                            <v-btn color="error" icon small @click.prevent="updateQty(-1)">
                                <v-icon small>mdi-minus</v-icon>
                            </v-btn>
                        </template>
                    </v-text-field>

                    <!--<v-btn icon><v-icon>mdi-delete</v-icon></v-btn>-->
                </v-card-actions>
            </div>

            <v-avatar class="ma-3" size="80" tile>
                <v-img v-if="image" :lazy-src="image" :src="image" style="border-radius: 3px;"></v-img>
            </v-avatar>
        </div>
    </v-card>
</template>

<script>
export default {
    name: "OrderItem",
    props: {
        title: {
            type: String,
            required: true
        },
        quantity: {
            type: Number,
            required: true
        },
        price: {
            type: Number,
            required: true
        },
        subtitle: {
            type: String,
            default: ''
        },
        image: {
            type: String,
            default: ''
        },
        colour: {
            type: String,
            default: '#952175'
        }
    },
    data() {
        return {}
    },
    methods: {
        updateQty (val) {
            this.$emit('increment', val)
        }
    }
}
</script>

<style scoped>
.centered-input >>> input {
    text-align: center
}
</style>
